HeaderFooter

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jxl
Class HeaderFooter

    java.lang.Object
      jxl.biff.HeaderFooter
          jxl.HeaderFooter

    public final class HeaderFooter

extends jxl.biff.HeaderFooter

Class which represents an Excel header or footer.

Nested Class Summary
`static class` | `HeaderFooter.Contents` The contents - a simple wrapper around a string buffer

Constructor Summary
`HeaderFooter()` Default constructor.
`HeaderFooter(HeaderFooter hf)` Copy constructor
`HeaderFooter(java.lang.String s)` Constructor used when reading workbooks to separate the left, right a central part of the strings into their constituent parts

Method Summary
`void` | `clear()` Clears the contents of the header/footer
`HeaderFooter.Contents` | `getCentre()` Accessor for the contents which in the centre of the page
`HeaderFooter.Contents` | `getLeft()` Accessor for the contents which appear on the left hand side of the page
`HeaderFooter.Contents` | `getRight()` Accessor for the contents which appear on the right hand side of the page
`java.lang.String` | `toString()` Retrieves a `String`ified version of this object

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HeaderFooter

    public HeaderFooter()

  Default constructor.

### HeaderFooter

    public HeaderFooter(HeaderFooter hf)

  Copy constructor

  Parameters:
    `hf` - the item to copy

### HeaderFooter

    public HeaderFooter(java.lang.String s)

  Constructor used when reading workbooks to separate the left, right a central part of the strings into their constituent parts

  Parameters:
    `s` - the header string

Method Detail

### toString

    public java.lang.String toString()

  Retrieves a `String`ified version of this object

  Overrides:
    `toString` in class `jxl.biff.HeaderFooter`
  Returns:
    the header string

### getRight

    public HeaderFooter.Contents getRight()

  Accessor for the contents which appear on the right hand side of the page

  Returns:
    the right aligned contents

### getCentre

    public HeaderFooter.Contents getCentre()

  Accessor for the contents which in the centre of the page

  Returns:
    the centrally aligned contents

### getLeft

    public HeaderFooter.Contents getLeft()

  Accessor for the contents which appear on the left hand side of the page

  Returns:
    the left aligned contents

### clear

    public void clear()

  Clears the contents of the header/footer

  Overrides:
    `clear` in class `jxl.biff.HeaderFooter`

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD